/*
 * Copyright (c) 2024, WSO2 LLC. (http://www.wso2.com).
 *
 * WSO2 LLC. licenses this file to you under the Apache License,
 * Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

package org.wso2.identity.integration.test.actions.dataprovider.model;

/**
 * This class is used to represent the response from the token api, in a pre issue access token action invocation.
 */
public class ExpectedTokenResponse {

    private final int statusCode;
    private final String errorMessage;
    private final String errorDescription;

    public ExpectedTokenResponse(int statusCode, String errorMessage, String errorDescription) {

        this.statusCode = statusCode;
        this.errorMessage = errorMessage;
        this.errorDescription = errorDescription;
    }

    public int getStatusCode() {

        return statusCode;
    }

    public String getErrorMessage() {

        return errorMessage;
    }

    public String getErrorDescription() {

        return errorDescription;
    }
}
